$(function() {
	var mdb = {}
	mdb.init = {}
	mdb.init.db = {}
	
	// Holding database inistance inside a global variable
	mdb.init.open = function(){
		mdb.init.db = openDatabase("vkuoofav","1.0","My First database",5 * 1024 * 1024);
		// dbname, verison, desc, size
	}
	
	mdb.init.createTable = function(){
		var database = mdb.init.db;
		database.transaction(function(tx){
			tx.executeSql("CREATE TABLE IF NOT EXISTS fav (ID INTEGER PRIMARY KEY ASC,fav_item TEXT,fav_link TEXT UNIQUE)", []);
		});
	}

	// adding created fav
	mdb.init.addfav = function(favTitle,favLink){
		var database = mdb.init.db;
		database.transaction(function(tx){
			 tx.executeSql("INSERT INTO fav (fav_item,fav_link) VALUES (?,?)", [favTitle,favLink],
			 showAllfav(favTitle,favLink));
		});
	}	
	
	// getting created fav
	mdb.init.getfav = function(){
		var database = mdb.init.db;
		var output = '';
		database.transaction(function(tx){
			tx.executeSql("SELECT * FROM fav", [], function(tx,result){
				for (var i=0; i < result.rows.length; i++) {
					fav_item = result.rows.item(i).fav_item;
					fav_link = result.rows.item(i).fav_link;
					fav_id = result.rows.item(i).ID;
					showAllfav(fav_item,fav_link,fav_id);
				}
			});
		});
	}

	// deleting a fav 
	mdb.init.deletefav = function(id){
		var database = mdb.init.db;
		database.transaction(function(tx){
			tx.executeSql("DELETE FROM fav WHERE ID=?",[id]);
		});
	}

	// onclick add fav event
	$(document).on("click","#create_fav",function(){
	//$('#create_fav').click(function(){
		var fav_link_href = window.location.href;
		var fav_link_text = fav_link_href .slice(fav_link_href .lastIndexOf("/")+1)
		var fav_item_text =document.getElementsByTagName("h1")[0].innerHTML; 
		//var fav_item_text =$('.now').text();
	
		if(fav_item_text.length == '' || fav_link_text.length == '')
		{
			alert('已收藏过，请到收藏列表查找！');
		}
		else
		{
			mdb.init.addfav(fav_item_text,fav_link_text);
			$('#fav_title').val('');
			$('#fav_link').val('');
			alert('收藏成功，请到“我的收藏”查看！');		
		}
	});

	// function to show all favs 
	function showAllfav(fav_item,fav_link,fav_id){
	$('#favlist').append(
		'<li><a href="'+ fav_link + '" rel="external">' + fav_item + '</a>' +
		'<a href="#" id="delete">删除</a>' +
		'<input id="this_id" value="' + fav_id + '" type="hidden"></li>'); 
	$("#favlist").listview("refresh"); 
	}
	
	// onClick deleteEvent Handler

	//$('#delete').on("click",function(){
	$(document).on("click","#delete",function(){
		var id = $(this).closest('li').find('#this_id').val();
		$(this).closest('li').addClass('highlight').delay(1000).queue(function(next){ $(this).remove(); next(); });
		mdb.init.deletefav(id);
	});

	function init(){
		if(typeof(openDatabase) !== 'undefined')
		{
			mdb.init.open();
			mdb.init.createTable();
			mdb.init.getfav();
		}
		else
		{
			$('#bodyWrapper').html('<h2 class="error_message">你的浏览器不支持存储数据</h2>');
		}
	}
		init();
	
});