$(document).ready(function(){

	//GLOBAL VAR
	var XMLSource = $('#data').attr('xmlData');
	var keyword = '';
	var catType = '';
	var pub = '';
						   
	var i = 0;
   
	//$("#searchButton").click(function() {
		$( "#term" ).bind( "change", function() {
		keyword = $("input#term").val();
		catType = "title";
		
		//Reset any message
		var errMsg = '';
		pub = '';
	
		if ( keyword == '' ) { errMsg += '请输入关键词' + '\n'; }
		else if ( catType == 'none' ) { errMsg += 'Please select a category' + '\n'; }
		else { searchThis(); }

		if ( errMsg != '' ) {
			pub += '<div class="error">' + '\n';
			pub += errMsg;
			pub += '</div>' + '\n';
		}
		
		//Show error
		$('#result').html( pub );

	});
	
	function searchThis() {				
		$.ajax({
			type: "GET",
			url: XMLSource,
			dataType: "xml",
			success: function(xml) { loadPublication (xml) }	
		});
	}
	
	function loadPublication (xmlData) {
		i = 0;
		var row;
		
		var searchExp = "";
		
		$(xmlData).find('index').each(function(){
			
			var title = $(this).find('title').text();
			var url = $(this).find('url').text();
			var imgurl = $(this).find('imgurl').text();
			
			//Format the keyword expression
			var exp = new RegExp(keyword,"gi");
			
			//Check if there is a category selected; 
			//if not, use height column as a default search
			if ( catType == 'title' ) { searchExp = title.match(exp); }
			
			if ( searchExp != null ) {
				
				//Start building the result
				if ((i % 2) == 0) { row = 'even'; }
				else { row = 'odd'; }
				
				i++;				
				if (i<21)
				{
				pub += '<li><a href='+url+'>' + title + '</a></li>' + '\n';					
				}
			}	
		});
				
		if ( i == 0 ) {
			pub += '<div class="error">' + '\n';
			pub += '没有找到相匹配的内容，请换一个关键词试试' + '\n';	
			pub += '</div>' + '\n';
			
			//Populate the result
			$('#result').html( pub );
		}
		else {
			//Pass the result set
			showResult ( pub );
		}
	}
	
	function showResult (resultSet) {

		//Show the result
		pub = '<li data-role="list-divider">以下为包含【'+keyword+'】的内容</li>' + '\n';		
		pub += resultSet;		
		pub += '\n';
		//Populate 
		$('#result').append(pub);
		$('#result').listview('refresh');
	}
});